<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:57 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
V-Index
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="V-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-18.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-20.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-19.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-19.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">V</A> <A HREF="index-20.html">W</A> <A HREF="index-21.html">_</A> <HR>
<A NAME="_V_"><!-- --></A><H2>
<B>V</B></H2>
<DL>
<DT><A HREF="../org/cocktail/peche/components/commun/PecheCreationForm.html#validationFailedWithException(java.lang.Throwable, java.lang.Object, java.lang.String)"><B>validationFailedWithException(Throwable, Object, String)</B></A> - 
Method in class org.cocktail.peche.components.commun.<A HREF="../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">PecheCreationForm</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/DirectAction.html#validerLoginAction()"><B>validerLoginAction()</B></A> - 
Method in class org.cocktail.peche.<A HREF="../org/cocktail/peche/DirectAction.html" title="class in org.cocktail.peche">DirectAction</A>
<DD>Validation du couple identifiant/mot de passe lorsque l'on n'utilise pas
 le service CAS.
<DT><A HREF="../org/cocktail/peche/components/service/ServiceInitialisation.html#validPrevDirecteurAction()"><B>validPrevDirecteurAction()</B></A> - 
Method in class org.cocktail.peche.components.service.<A HREF="../org/cocktail/peche/components/service/ServiceInitialisation.html" title="class in org.cocktail.peche.components.service">ServiceInitialisation</A>
<DD>Cette méthode permet de valider le prévisionnel, et d'attendre la validation du directeur de la composante.
<DT><A HREF="../org/cocktail/peche/components/service/ServiceInitialisation.html#validPrevEnseignantAction()"><B>validPrevEnseignantAction()</B></A> - 
Method in class org.cocktail.peche.components.service.<A HREF="../org/cocktail/peche/components/service/ServiceInitialisation.html" title="class in org.cocktail.peche.components.service">ServiceInitialisation</A>
<DD>Cette méthode permet de valider le prévisionnel, et d'attendre la validation de l'enseignant.
<DT><A HREF="../org/cocktail/peche/components/commun/ModeEdition.html#valueOf(java.lang.String)"><B>valueOf(String)</B></A> - 
Static method in enum org.cocktail.peche.components.commun.<A HREF="../org/cocktail/peche/components/commun/ModeEdition.html" title="enum in org.cocktail.peche.components.commun">ModeEdition</A>
<DD>Returns the enum constant of this type with the specified name.
<DT><A HREF="../org/cocktail/peche/components/commun/ModeEdition.html#values()"><B>values()</B></A> - 
Static method in enum org.cocktail.peche.components.commun.<A HREF="../org/cocktail/peche/components/commun/ModeEdition.html" title="enum in org.cocktail.peche.components.commun">ModeEdition</A>
<DD>Returns an array containing the constants of this enum type, in
the order they are declared.
<DT><A HREF="../org/cocktail/peche/entity/EOService.html#verifierEntiteNonNull(org.cocktail.peche.entity.EOReh, org.cocktail.peche.entity.EOElementMaquette)"><B>verifierEntiteNonNull(EOReh, EOElementMaquette)</B></A> - 
Method in class org.cocktail.peche.entity.<A HREF="../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/outils/OutilsValidation.html#verifierOrdreDates(com.webobjects.foundation.NSTimestamp, com.webobjects.foundation.NSTimestamp, org.cocktail.peche.Session)"><B>verifierOrdreDates(NSTimestamp, NSTimestamp, Session)</B></A> - 
Static method in class org.cocktail.peche.outils.<A HREF="../org/cocktail/peche/outils/OutilsValidation.html" title="class in org.cocktail.peche.outils">OutilsValidation</A>
<DD>Vérifie la cohérence des dates
<DT><A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur"><B>Version</B></A> - Class in <A HREF="../org/cocktail/peche/serveur/package-summary.html">org.cocktail.peche.serveur</A><DD>Gestion du versioning.<DT><A HREF="../org/cocktail/peche/serveur/Version.html#Version()"><B>Version()</B></A> - 
Constructor for class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur">Version</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONDATE"><B>VERSIONDATE</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur"><B>VersionMe</B></A> - Class in <A HREF="../org/cocktail/peche/serveur/package-summary.html">org.cocktail.peche.serveur</A><DD>Cette classe ne doit pas heriter d'une classe autre que Object pour être
 lancee sans classpath.<DT><A HREF="../org/cocktail/peche/serveur/Version.html#versionNumBuild()"><B>versionNumBuild()</B></A> - 
Method in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur">Version</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONNUMBUILD"><B>VERSIONNUMBUILD</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/Version.html#versionNumMaj()"><B>versionNumMaj()</B></A> - 
Method in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur">Version</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONNUMMAJ"><B>VERSIONNUMMAJ</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/Version.html#versionNumMin()"><B>versionNumMin()</B></A> - 
Method in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur">Version</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONNUMMIN"><B>VERSIONNUMMIN</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/Version.html#versionNumPatch()"><B>versionNumPatch()</B></A> - 
Method in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/Version.html" title="class in org.cocktail.peche.serveur">Version</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONNUMPATCH"><B>VERSIONNUMPATCH</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
<DT><A HREF="../org/cocktail/peche/serveur/VersionMe.html#VERSIONNUMRC"><B>VERSIONNUMRC</B></A> - 
Static variable in class org.cocktail.peche.serveur.<A HREF="../org/cocktail/peche/serveur/VersionMe.html" title="class in org.cocktail.peche.serveur">VersionMe</A>
<DD>&nbsp;
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-18.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-20.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-19.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-19.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">V</A> <A HREF="index-20.html">W</A> <A HREF="index-21.html">_</A> <HR>

</BODY>
</HTML>
